﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace database1.pages {
	public partial class Filtering : System.Web.UI.Page {
		protected void Page_Load(object sender, EventArgs e) {
			txtMsg.Text = "";

			if (!Page.IsPostBack) {
				DisplayTeams(ddTeams);
				// Select first team.
				ddTeams.SelectedIndex = 0;
			}
			DisplayPlayers(gvPlayers);
		}

		private void GenerateSelectPlayersSQL(IDbCommand cmd) {
			// This is not using Parameter approach, but probably should.
			cmd.CommandText =
				"SELECT " +
					"Players.PlayerID, " +
					"Players.TeamID, " +
					"Players.LName, " +
					"Players.FName, " +
					"Players.PNumber, " +
					"Players.BDate, " +
					"Teams.Name, " +
					"Teams.CoachLName, " +
					"Teams.CoachFName " +
				"FROM " +
					"Players " +
				"INNER JOIN " +
					"Teams " +
				"ON " +
					"Players.TeamID = Teams.TeamID " +
				"WHERE " +
					"Teams.TeamID = " + ddTeams.SelectedValue + " " +
				"ORDER BY " +
					"Players.LName Asc, " +
					"Players.FName Asc, " +
					"Teams.Name Asc";
		}

		private void GenerateSelectTeamsSQL(IDbCommand cmd) {
			// Set select SQL statement.
			cmd.CommandText =
				"SELECT " +
					"Teams.TeamID, " +
					"Teams.Name " +
				"FROM " +
					"Teams " +
				"ORDER BY " +
					"Teams.Name ASC";

		}

		private void DisplayPlayers(GridView gv) {
			IDataReader dr;
			IDbCommand cmd = ConnectionFactory.GetCommand(rblDB.SelectedValue);

			GenerateSelectPlayersSQL(cmd);

			try {
				cmd.Connection.Open();
				dr = cmd.ExecuteReader();
				gv.DataSource = dr;
				gv.DataBind();

				txtMsg.Text += "Attempting to display filtered Players table from: " + rblDB.SelectedValue + " database\r\n";

				cmd.Connection.Close();
				dr.Close();
			}
			catch (Exception ex) {
				txtMsg.Text = "Error displaying players\r\n";
				txtMsg.Text += ex.ToString();
			}
		}

		private void DisplayTeams(DropDownList dd) {
			IDataReader dr;
			IDbCommand cmd = ConnectionFactory.GetCommand(rblDB.SelectedValue);

			GenerateSelectTeamsSQL(cmd);

			try {
				cmd.Connection.Open();
				dr = cmd.ExecuteReader();
				dd.DataSource = dr;
				dd.DataTextField = "Name";
				dd.DataValueField = "TeamID";
				dd.DataBind();

				cmd.Connection.Close();
				dr.Close();
			}
			catch (Exception ex) {
				txtMsg.Text = "Error displaying teams\r\n";
				txtMsg.Text += ex.ToString();
			}

		}

		protected void rblDB_SelectedIndexChanged(object sender, EventArgs e) {
			txtMsg.Text = "";
			DisplayTeams(ddTeams);
			DisplayPlayers(gvPlayers);
		}
		protected void ddTeams_SelectedIndexChanged(object sender, EventArgs e) {
			// Page_Load is taking care of everything.
		}

	}
}