﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace database1.pages {
	public partial class Joins : System.Web.UI.Page {
		protected void Page_Load(object sender, EventArgs e) {
			if (!Page.IsPostBack) {
				DisplayPlayers(gvPlayers_Join);
			}
		}

		protected void rblDB_SelectedIndexChanged(object sender, EventArgs e) {
			DisplayPlayers(gvPlayers_Join);
		}

		private void DisplayPlayers(GridView gv1) {
			IDataReader dr;
			IDbCommand cmd = ConnectionFactory.GetCommand(rblDB.SelectedValue);

			GenerateSelectPlayersSQL_Join(cmd);
			cmd.Connection.Open();
			dr = cmd.ExecuteReader();
			gv1.DataSource = dr;
			gv1.DataBind();
			cmd.Connection.Close();
			dr.Close();

			txtMsg.Text += "Attempting to display Players table Inner Joined with Teams table from: " + rblDB.SelectedValue + " database\r\n";
			txtMsg.Text += "Sql statement:\r\n";
			txtMsg.Text += cmd.CommandText + "\r\n";
		}

		private void GenerateSelectPlayersSQL_Join(IDbCommand cmd) {
			cmd.CommandText =
				"SELECT " +
					"Players.PlayerID, " +
					"Players.TeamID, " +
					"Players.LName, " +
					"Players.FName, " +
					"Players.PNumber, " +
					"Players.BDate, " +
					"Teams.Name, " +
					"Teams.CoachLName, " +
					"Teams.CoachFName " +
				"FROM " +
					"Players " +
				"INNER JOIN " +
					"Teams " +
				"ON " +
					"Players.TeamID = Teams.TeamID " +
				"ORDER BY " +
					"Teams.Name Asc, " +
					"Players.LName Asc, " +
					"Players.FName Asc";
		}

		#region Alternate SQL statements not used, but give same result
		// Not used below. Illustrates different forms of obtaining the same result as
		// GenerateSelectPlayersSQL_Join
		private void GenerateSelectPlayersSQL_Join2(IDbCommand cmd) {
			cmd.CommandText =
				"SELECT " +
					"Players.PlayerID, " +
					"Players.TeamID, " +
					"Players.LName, " +
					"Players.FName, " +
					"Players.PNumber, " +
					"Players.BDate, " +
					"Teams.Name, " +
					"Teams.CoachLName, " +
					"Teams.CoachFName " +
				"FROM " +
					"Teams " +
				"INNER JOIN " +
					"Players " +
				"ON " +
					"Players.TeamID = Teams.TeamID " +
				"ORDER BY " +
					"Teams.Name Asc, " +
					"Players.LName Asc, " +
					"Players.FName Asc";
		}

		private void GenerateSelectPlayersSQL_NoJoin(IDbCommand cmd) {
			cmd.CommandText =
				"SELECT " +
					"Players.PlayerID, " +
					"Players.TeamID, " +
					"Players.LName, " +
					"Players.FName, " +
					"Players.PNumber, " +
					"Players.BDate, " +
					"Teams.Name, " +
					"Teams.CoachLName, " +
					"Teams.CoachFName " +
				"FROM " +
					"Players, Teams " +
				"WHERE " +
					"Players.TeamID = Teams.TeamID " +
				"ORDER BY " +
					"Teams.Name Asc, " +
					"Players.LName Asc, " +
					"Players.FName Asc";
		}
		#endregion
	}
}