﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ReadFilter.aspx.cs" Inherits="database1.pages.ReadFilter" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Filtering data</title>
    <link href="../site.css" rel="stylesheet" />
</head>
<body>
<!-- #Include File="header2.txt" -->
    <form id="form1" runat="server">
    <p><strong title="Reading Data using the Data Reader">Reading Data using the 
        DataReader</strong></p>
    <p>Examples of Select Statements on the Players table. Can specify a custom SQL statement or can choose from one of the other radio buttons. SQL statements themselves are in Items collection for RadioButtonList. SQL statements that use dates are delimited with single quotes which work with the SQL Server database (which we are not using). Thus, the code replaces all single quotes with &quot;#&quot;. Uses Ajax.</p>
    
    <div>
    
        <p>
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
        </p>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <p>
                    <asp:Button ID="btnDisplay" runat="server" onclick="btnDisplay_Click" Text="Display" />
                    Choose database:<asp:RadioButtonList ID="rblDB" runat="server" 
                        RepeatDirection="Horizontal" RepeatLayout="Flow" OnSelectedIndexChanged="rblDB_SelectedIndexChanged">
                        <asp:ListItem Selected="True">Access</asp:ListItem>
                        <asp:ListItem Enabled="False">SQLServer</asp:ListItem>
                    </asp:RadioButtonList>
                </p>
                <p>
                    Choose SQL Statement:
                </p>
                <asp:Panel ID="Panel1" runat="server" Height="226px" ScrollBars="Both" BorderStyle="Solid">
                <p>
                    <asp:RadioButton ID="radCustom" runat="server" AutoPostBack="True" 
                        oncheckedchanged="radCustom_CheckedChanged" Text="Custom" />
                    &nbsp;<asp:TextBox ID="txtSql" runat="server" Width="892px" AutoPostBack="True"></asp:TextBox>
                </p>
                    <p>
                        <asp:Label ID="lblError" runat="server" Font-Bold="True" ForeColor="Red" Text="That's a pretty lame SQL statment!" Visible="False"></asp:Label>
                    </p>
                <asp:RadioButtonList ID="rblSql" runat="server" AutoPostBack="True" 
                    onselectedindexchanged="rblSql_SelectedIndexChanged">
                    <asp:ListItem Value="1" Selected="True">Select * From Players</asp:ListItem>
                    <asp:ListItem Value="2">Select PlayerID, LName, FName From Players</asp:ListItem>
                    <asp:ListItem Value="3">Select PlayerID, LName, FName From Players Order By LName Asc, FName Desc</asp:ListItem>
                    <asp:ListItem Value="4">Select PlayerID, LName, FName, PNumber From Players Where PNumber &gt; 50 Order By PNumber</asp:ListItem>
                    <asp:ListItem Value="5">Select PlayerID, LName, FName From Players Where LName=&#39;Gibson&#39;</asp:ListItem>
                    <asp:ListItem Value="6">Select PlayerID, LName, FName, BDate From Players Where BDate &lt;=&#39;1/1/2000&#39;</asp:ListItem>
                    <asp:ListItem Value="7">Select PlayerID, LName, FName, PNumber, BDate From Players Where BDate &lt;=&#39;1/1/2000&#39; And PNumber&gt;50</asp:ListItem>
                    <asp:ListItem Value="8">Select PlayerID, LName, FName, PNumber, BDate From Players Where PlayerID &lt;=10 Or PNumber&gt;50</asp:ListItem>
                    <asp:ListItem Value="9">Select PlayerID, LName, FName, PNumber, BDate From Players Where Not LName=&#39;Gibson&#39; Order By LName</asp:ListItem>
                    <asp:ListItem Value="10">Select PlayerID, LName, FName From Players Where LName Like &#39;G%&#39; Order By LName</asp:ListItem>
                    <asp:ListItem Value="11">Select PlayerID, LName, FName From Players Where LName Like &#39;_____&#39; Order By LName</asp:ListItem>
                    <asp:ListItem Value="12">Select PlayerID, LName, FName From Players Where LName Like &#39;_i%&#39; Order By LName</asp:ListItem>
                    <asp:ListItem Value="13">Select PlayerID, LName, FName From Players Where LName Like &#39;[M-T]%&#39; Order By LName</asp:ListItem>
                    <asp:ListItem Value="14">Select PlayerID, LName, FName From Players Where LName Not Like &#39;[M-T]%&#39; Order By LName</asp:ListItem>
                    <asp:ListItem Value="15">Select PlayerID, LName, FName From Players Where LName Not Like &#39;_[a,e,o,r-z]%&#39; Order By LName</asp:ListItem>
                    <asp:ListItem Value="16">Select PlayerID, LName, PNumber From Players Where PNumber In  (23,33,45, 49) Order By PNumber, LName</asp:ListItem>
                </asp:RadioButtonList>


                </asp:Panel>
                <br />
                <asp:GridView ID="gvPlayers" runat="server" 
                    AutoGenerateColumns="True" DataKeyNames="PlayerID">
                </asp:GridView>
                <br />
                <asp:TextBox ID="txtMessage" runat="server" Height="126px" TextMode="MultiLine" 
                    Width="246px"></asp:TextBox>
            </ContentTemplate>
        </asp:UpdatePanel>
    
    </div>    

    </form>

</body>
</html>
