﻿using System.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace database1.pages {
	public partial class ReadFilter : System.Web.UI.Page {
		protected void Page_Load(object sender, EventArgs e) {

		}

		protected void btnDisplay_Click(object sender, EventArgs e) {
			IDbCommand cmd = ConnectionFactory.GetCommand(rblDB.SelectedValue);

			// Set the SQL Select statement.
			if (radCustom.Checked) {
				cmd.CommandText = txtSql.Text;
			}
			else {
				cmd.CommandText = rblSql.SelectedItem.Text;

				// Dates in Access must be delimited with #, e.g. BDate > #1/1/2000#
				if (((rblSql.SelectedIndex == 5) || (rblSql.SelectedIndex == 6)) && (rblDB.SelectedValue.Equals("Access"))) {
					cmd.CommandText = rblSql.SelectedItem.Text.Replace("'", "#");
					txtMessage.Text += "Using Access, date delimiter changed:\r\n";
					txtMessage.Text += cmd.CommandText.ToString() + "\r\n";
				}
			}

			try {
				cmd.Connection.Open();
				IDataReader dr = cmd.ExecuteReader();

				gvPlayers.DataSource = dr;
				gvPlayers.DataBind();

				dr.Close();
				cmd.Connection.Close();
				lblError.Visible = false;
			}
			catch (Exception ex) {
				lblError.Visible = true;
				txtMessage.Text += "\r\nGridView Display error\r\n";
				txtMessage.Text += ex.ToString();
			}

		}

		protected void radCustom_CheckedChanged(object sender, EventArgs e) {
			rblSql.SelectedIndex = -1;
		}

		protected void rblDB_SelectedIndexChanged(object sender, EventArgs e) {

		}

		protected void rblSql_SelectedIndexChanged(object sender, EventArgs e) {
			radCustom.Checked = false;
		}
	}
}